PointArrayBoundingBox

Returns either a world axis-aligned or a construction plane axis-aligned bounding box of an array of 3-D point locations.

Syntax

Rhino.PointArrayBoundingBox (arrPoints [, strView [, blnWorldCoords]])

Rhino.PointArrayBoundingBox (arrPoints, arrPlane [, blnWorldCoords])

 

Parameters

arrPoints

Required.  Array.  An array of 3-D points.

strView

Optional.  String.  The title of the view that contains the construction plane to which the bounding box should be aligned.  If omitted, a world axis-aligned bounding box will be calculated.

arrPlane

Required.  Array.  The plane to which the bounding box should be aligned.

blnWorldCoords

Optional.  Boolean.  Whether or not to return the bounding box as world coordinates or construction plane coordinates.  The default is to return world coordinates (True).  Note, this option does not apply to world axis-aligned bounding boxes.

Returns

Array

An array of eight 3-D points that define the bounding box if successful.  Points are returned in counter-clockwise order starting with the bottom rectangle of the box.  See the image below for details.

Null

If not successful, or on error.

Example

Dim arrPoints, arrBox, arrPoint, intCount

arrPoints = Rhino.GetPoints()

If IsArray(arrPoints) Then

arrBox = Rhino.PointArrayBoundingBox(arrPoints)

If IsArray(arrBox) Then

intCount = 0

For Each arrPoint In arrBox

Rhino.AddTextDot CStr(intCount), arrPoint

intCount = intCount + 1

Next

End If

End If

boundingbox.jpg

Also See

BoundingBox